Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5159 - Should '*.info' include mark messages
Summary: Should '*.info' include mark messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-15 15:42 UTC by james-mathiesen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-17 22:17:35 UTC


Attachments (Terms of Use)

Description james-mathiesen 1999-09-15 15:42:27 UTC
After installing sysklogd-1.3.31-0.5 on RedHat 5.2 we began
receiving -- MARK -- messages in /var/adm/messages.  Our
syslog.conf contains:

	*.info		/var/adm/messages

The sysklogd doc isn't explicit on wether '*' includes mark
messages or not, but my previous experience was that it did
not.  The solaris man page on syslog.conf(4) is an example
of an implementation that does not include mark messages in
the definition of '*'.

The line in syslogd.c:

	if (*buf == '*') {
           for (i = 0; i <= LOG_NFACILITIES; i++) {

Can be changed to '< LOG_NFACILITIES' to stop including
mark messages by default (since mark is the last facility
added after all the real facilities)

I suspect the correct behavior is not to include -- MARK --
messages.  In any case I would suggest clarifying doc on
a few points:

* Inclusion or non-inclusion of mark in '*' be explicitly
  stated.

* Mentioning that mark messages are generated at the 'info'
  priority level.

* Mentioning that mark messages only appear when there has
  not been other recent output to a target.

Comment 1 Bill Nottingham 1999-09-17 22:17:59 UTC
You can simply run syslogd with the '-m 0' option to turn
off mark messages.


Note You need to log in before you can comment on or make changes to this bug.